petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoLineSearchCreate

Creates a TAO Line Search object. Algorithms in TAO that use line-searches will automatically create one.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchCreate(MPI_Comm comm, TaoLineSearch *newls)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

newls -the new TaoLineSearch context

### Available methods include

| more | - thuente
| gpcg | - - unit - Do not perform any line search

### Options Database Keys

| -tao_ls_type | - select which method TAO should use

### See Also

TaoLineSearchSetType(), TaoLineSearchApply(), TaoLineSearchDestroy()

### Level

beginner

### Location

src/tao/linesearch/interface/taolinesearch.c

### Implementations

TaoLineSearchCreate_Armijo in src/tao/linesearch/impls/armijo/armijo.c
TaoLineSearchCreate_GPCG in src/tao/linesearch/impls/gpcglinesearch/gpcglinesearch.c
TaoLineSearchCreate_MT in src/tao/linesearch/impls/morethuente/morethuente.c
TaoLineSearchCreate_OWArmijo in src/tao/linesearch/impls/owarmijo/owarmijo.c
TaoLineSearchCreate_Unit in src/tao/linesearch/impls/unit/unit.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages